repo/gentoo:master commit in: dev-python/oslo-config/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786169233.5e3accc244fd15592dcd57e90aa7144ac7d02c1c.mgorny@gentoo>
commit:     5e3accc244fd15592dcd57e90aa7144ac7d02c1c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  8 05:25:44 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug  8 06:07:13 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e3accc2

dev-python/oslo-config: Bump to 10.7.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/oslo-config/Manifest                  |  1 +
 dev-python/oslo-config/oslo-config-10.7.0.ebuild | 57 ++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/dev-python/oslo-config/Manifest b/dev-python/oslo-config/Manifest
index 4e66c8b425a0..0c33cb61ddee 100644
--- a/dev-python/oslo-config/Manifest
+++ b/dev-python/oslo-config/Manifest
@@ -1,2 +1,3 @@
 DIST oslo_config-10.5.0.tar.gz 169305 BLAKE2B 7e287d82e0655ee960a6df174fa651671ab42c9616099d9158c3349c47a3e7b522546407705c07932d01227254a462f142b661b80d10c83a42183f5f725606dc SHA512 8323dba544d1a98dacaed82b708110eb37d194d31090046d9362b20ed46b6d1d0834d50af09328fe033c3ce38f298ea457a5efdc2f715942bfd7e24cfe2c9b85
 DIST oslo_config-10.6.0.tar.gz 175381 BLAKE2B bf8c6c7bf7c1a9ff5b6123c241d2dd49044044ac1e4ce5861d71233d4c4436629c4c83477ff1896041894bb2a5ea1e4457e46e253c261aa096e09391c6e756b7 SHA512 769560495ccf9237aa25a22469af9749709e734d3177b31adf08769a50c9a7a10622c0da3abf84261d99305237e9ea34bf035336c8143fb015ba4a2cf4a56681
+DIST oslo_config-10.7.0.tar.gz 177161 BLAKE2B ba8fc0427fb4a4b592826809129adeff2a1c52841bfab4aad846b09de51a1535ed56061b5b02d703dfc013fe0fb43c9bed8e695a283b72c868cbca7e29db6c5c SHA512 19d9884becd869b6ea819aecbcc373b8040a836d5692db8d5f7e8a604a7e68ff4c4e36019940a730f6946a6d41d0a4c61aaede4878def05e6284a58c21795259

diff --git a/dev-python/oslo-config/oslo-config-10.7.0.ebuild b/dev-python/oslo-config/oslo-config-10.7.0.ebuild
new file mode 100644
index 000000000000..88796befc868
--- /dev/null
+++ b/dev-python/oslo-config/oslo-config-10.7.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pbr
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Oslo Configuration API"
+HOMEPAGE="
+	https://opendev.org/openstack/oslo.config/
+	https://github.com/openstack/oslo.config/
+	https://pypi.org/project/oslo.config/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+	>=dev-python/pbr-1.3[${PYTHON_USEDEP}]
+	>=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
+	>=dev-python/stevedore-5.6.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+	>=dev-python/rfc3986-1.2.0[${PYTHON_USEDEP}]
+	>=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		>=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+		>=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
+		>=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+		>=dev-python/requests-mock-1.5.0[${PYTHON_USEDEP}]
+		>=dev-python/sphinx-1.8.0[${PYTHON_USEDEP}]
+		>=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+		>=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+	# broken by some dep upgrade
+	sed -i oslo_config/tests/test_cfg.py \
+		-e '/DeprecationWarningTestsNoOsloLog/,$d' \
+		-e 's/test_sub_command_multiple/_&/' || die
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	local -x COLUMNS=80
+	eunittest -b
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.